spring.application.name=yakasave
server.servlet.context-path=/api
server.port=9595

# Docker compose lifecycle management
spring.docker.compose.lifecycle-management=start_only

spring.sql.init.mode=always

# Datasource configuration
spring.datasource.password=secret
spring.datasource.username=myuser
spring.datasource.url=jdbc:postgresql://postgres:5433/yaka_save
spring.datasource.driver-class-name=org.postgresql.Driver

# Hibernate settings
spring.jpa.database-platform=org.hibernate.dialect.PostgreSQLDialect
spring.jpa.hibernate.ddl-auto=create-drop
spring.jpa.show-sql=true

# Spring Doc
springdoc.api-docs.path=/docs
springdoc.show-actuator=true
springdoc.swagger-ui.path=/swagger-ui-custom.html
springdoc.swagger-ui.operationsSorter=method

# JWT Configuration
jwt.secret=68BF23EAE334323E2A5E3EAD7142168C3F23EAE334323E2A5E3EAD71421
jwt.expiration=3600000
jwt.refresh=7200000
